> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snagsolutions.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get token gate status

> Pass in to see if a token is eligible for minting



## OpenAPI

````yaml /api-reference/openapi.documented.json get /api/minting/token_gate
openapi: 3.0.2
info:
  title: Snag Solutions - API Docs
  description: >-
    Documentation for Loyalty & Socials APIs. Some endpoints require an API key
    to authenticate. To obtain a key, reach out to the Snag Solutions team at
    support@snagsolutions.io.
  version: '0.1'
servers:
  - url: https://admin.snagsolutions.io/
    description: Production
security: []
paths:
  /api/minting/token_gate:
    get:
      tags:
        - Minting
      summary: Get token gate status
      description: Pass in to see if a token is eligible for minting
      parameters:
        - name: network
          in: query
          required: true
          schema:
            type: string
        - name: collectionAddress
          in: query
          required: true
          schema:
            type: string
        - name: tokenId
          in: query
          required: true
          schema:
            type: string
        - name: mintingContractAssetId
          in: query
          required: true
          schema:
            type: string
            format: uuid
        - name: mintingContractId
          in: query
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  eligible:
                    type: boolean
                  message:
                    type: string
                required:
                  - eligible
                  - message
      security: []

````